modal.team-view {
    z-index: 1000020;
}

@media only screen and (min-width: 481px) {
    modal.team-view .modal-body {
        left: calc((100% - 480px) / 2);
        width: 474px;
    }
}

/* Loading template */
.team-modal.template .highlights h3,
.team-modal.template .history dt,
.team-modal.template .highlights .score,
.team-modal.template .highlights .rank,
.team-modal.template .highlights .value-stress {
    overflow: hidden;
    text-indent: 100%;
    white-space: nowrap;
}

.team-modal.template .highlights .score {
    display: block;
}

.team-modal.template .bar {
    visibility: hidden;
}

/* Main Info */
.team-modal em.user {
    box-sizing: border-box;
    display: inline-block;
    height: 16px;
    line-height: 16px;
    padding-right: 3px;
    text-align: right;
    width: 100%;
}

.team-modal button {
    float: right;
    margin-top: 2px;
}

/* Highlights */
.team-modal .highlights li {
    margin: 2px 0;
}

.team-modal .highlights li fieldset {
    height: 74px;
    margin: 0;
}

.team-modal .highlights li:not(:first-of-type) fieldset {
    margin-left: 2px;
}

.team-modal .highlights li h3 {
    margin-bottom: 0;
}

.team-modal .highlights fieldset span {
    display: inline-block;
    text-align: center;
    width: 100%;
}

.team-modal .highlights fieldset bar,
.team-modal .highlights fieldset bar stress-bar,
.team-modal .highlights fieldset .bar.stress marker {
    height: 16px;
}

.team-modal .highlights fieldset bar {
    display: block;
    padding: 10px 0;
    position: relative;
}

.team-modal .highlights fieldset .bar.stress marker {
    max-width: calc(100% - 2px);
}

.team-modal .highlights fieldset .bar.stress marker.invisible {
    visibility: hidden;
}

.team-modal .highlights fieldset .score {
    font-size: 30px;
    font-weight: bold;
    height: 36px;
    line-height: 36px;
}

.team-modal .highlights fieldset .rank,
.team-modal .highlights fieldset .value-stress {
    border-radius: 0 0 3px 3px;
    height: 18px;
    line-height: 18px;
}

/* Selection List */
.team-modal .history dt,
.team-modal .history dd {
    float: left;
    height: 20px;
    line-height: 20px;
    text-align: center;
}

.team-modal .history dt:not(.period),
.team-modal .history dd {
    margin-left: 2px;
}

.team-modal .history dt.period,
.team-modal .history dd {
    margin-top: 2px;
}

.team-modal .history dt.period {
    clear: left;
}

.team-modal .history .selection:not(.no-sel) {
    padding-left: 3px;
}

.team-modal .history dd.selection:not(.no-sel) {
    text-align: left;
}

.team-modal .history .rating {
    width: 70px;
}

.team-modal .history .score {
    width: 40px;
}

.team-modal .history .summary {
    width: 65px;
}

@media only screen and (max-width: 480px) {
    modal.team-view .modal-body {
        width: calc(100% - 6px);
    }

    modal.team-view .modal-body .history .rating {
        display: none;
    }
}

/* Motorsport Specifics */
.team-modal.motorsport .history dt.selection {
    margin-left: 120px;
}

.team-modal.motorsport .history dt.period {
    padding-right: 3px;
    text-align: right;
    width: 115px;
}

.team-modal.motorsport .history .selection {
    width: 162px;
}

.team-modal.motorsport .history .selection.no-sel {
    width: 304px;
}

@media only screen and (max-width: 480px) {
    modal.team-view .modal-body.motorsport .history .selection {
        width: calc(100% - 232px);
    }

    modal.team-view .modal-body.motorsport .history .selection.no-sel {
        width: calc(100% - 162px);
    }
}

/* Major League Specifics */
.team-modal.major-league .history dt.selection {
    margin-left: 82px;
}

.team-modal.major-league .history dt.period {
    width: 80px;
}

.team-modal.major-league .history .selection {
    width: 200px;
}

.team-modal.major-league .history .selection.no-sel {
    width: 342px;
}

@media only screen and (max-width: 480px) {
    modal.team-view .modal-body.major-league .history .selection {
        width: calc(100% - 194px);
    }

    modal.team-view .modal-body.major-league .history .selection.no-sel {
        width: calc(100% - 124px);
    }
}
